# SourcePath: cryptsetup/20190515dev
Summary: Utility used to conveniently setup disk encryption based on DMCrypt kernel module.
Name: sony-target-dev-cryptsetup
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-cryptsetup
Version: 1.7.3
Release: 14010003
Source: cryptsetup-%{version}.tar.xz
URL: https://gitlab.com/cryptsetup/cryptsetup
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
Cryptsetup is utility used to conveniently setup disk encryption based
on DMCrypt kernel module.These include plain dm-crypt volumes, LUKS volumes, loop-AES
and TrueCrypt (including VeraCrypt extension) format.

%package -n %{pkgname}
Summary: Utility used to conveniently setup disk encryption based on DMCrypt kernel module.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Cryptsetup is utility used to conveniently setup disk encryption based
on DMCrypt kernel module.These include plain dm-crypt volumes, LUKS volumes, loop-AES
and TrueCrypt (including VeraCrypt extension) format.

%prep
%setup -n cryptsetup-%{version} -q

%build
%sony_target_dev_setup
export PKG_CONFIG_PATH=%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig:${PKG_CONFIG_PATH}
export ACLOCAL_PATH=%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal
%{sony_host_dir}/bin/aclocal -I $ACLOCAL_PATH --force -I m4 && libtoolize --force --copy && \
%{sony_host_dir}/bin/automake --foreign --add-missing --copy --force-missing || exit 1
export LD_LIBRARY_PATH="%{sony_target_dir}%{sony_target_dev_lib_dir}"
export ac_cv_lib_popt_poptConfigFileToString=yes

%sony_target_dev_configure \
        --exec_prefix=%{sony_target_dev_exec_prefix} \
        --libdir=%{sony_target_dev_lib_dir} \
        --with-libgcrypt-prefix=%{sony_target_dir}%{sony_target_devtool_prefix} \
	--disable-dependency-tracking
make CC="$CC" LD_LIBRARY_PATH=%{sony_target_dir}

%install
rm -rf %{buildroot}
%sony_target_dev_setup
cd objdir
make DESTDIR=%{buildroot}%{sony_target_dir} install


rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcryptsetup.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcryptsetup.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcryptsetup.so.4
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcryptsetup.so.4.7.0
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libcryptsetup.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/libcryptsetup.h
%{sony_target_dir}%{sony_target_dev_sbin_dir}/cryptsetup
%{sony_target_dir}%{sony_target_dev_sbin_dir}/veritysetup

%changelog
* Thu Dec 12 2019 Sony Corporation
- Fixed .pc installation Path.

* Wed May 15 2019 Sony Corporation
- Upgraded version to 1.7.3

* Mon Mar 25 2019 Sony Corporation
- Downgraded version to 1.6.3

* Mon Dec 24 2018 Sony Corporation
- Initial build.
